<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.ldt.account.mapper.AccountMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="accountResultMap" type="org.springblade.ldt.account.entity.Account">
        <id column="id" property="id"/>
        <result column="phone" property="phone"/>
        <result column="secret" property="secret"/>
        <result column="type" property="type"/>
        <result column="create_time" property="createTime"/>
    </resultMap>


    <select id="selectAccountPage" resultMap="accountResultMap">
        select * from ldt_account where is_deleted = 0
    </select>

</mapper>
